<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full pt-6 relative">
  <app-menu>
    <app-menu-item>
      <app-menu-label>
        <div class="flex gap-2 items-center justify-center text-text-500 font-semibold">
          <i class="pi pi-file"></i>
          <div>Template</div>
        </div>
      </app-menu-label>
      <app-menu-content>
        <div class="w-full h-full px-2">
          <app-from-template></app-from-template>
        </div>
      </app-menu-content>
    </app-menu-item>
    <app-menu-item>
      <app-menu-label>
        <div class="flex gap-2 items-center justify-center text-text-500 font-semibold">
          <i class="pi pi-folder"></i>
          <div>File</div>
        </div>
      </app-menu-label>
      <app-menu-content>
        <div class="w-full h-full pt-6 px-2">
          <app-from-file></app-from-file>
        </div>
      </app-menu-content>
    </app-menu-item>
    <app-menu-item>
      <app-menu-label>
        <div class="flex gap-2 items-center justify-center text-text-500 font-semibold">
          <div class="text-sm">{{ '{ }' }}</div>
          <div>Json</div>
        </div>
      </app-menu-label>
      <app-menu-content>
        <div class="w-full h-full pt-6 px-2">
          <app-from-json></app-from-json>
        </div>
      </app-menu-content>
    </app-menu-item>
  </app-menu>
  <div class="absolute top-5 right-0">
    <p-button icon="pi pi-times" severity="danger" [rounded]="true" (onClick)="close()"></p-button>
  </div>
</div>
